using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;
using Telerik.Web.UI;

/// <summary>
/// Summary description for Products
/// </summary>
[ScriptService]
public class Products : WebService {

    public Products () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public RadTreeNodeData[] GetProducts(RadTreeNodeData node, object context)
    {
        //Use additionalParameters if needed...
        IDictionary contextDictionary = (IDictionary)context;
        string additionalParameter = contextDictionary["additionalParameter"].ToString();

        //Get products for Category with ID = node.Value (the ID of the Category)...
        //You can get whatever data you want, based on the node and context values.

        RadTreeNodeData nodeData = new RadTreeNodeData();
        nodeData.Text = "Result1 on " + additionalParameter;
        nodeData.Value = "Result1 Value";
        nodeData.ExpandMode = TreeNodeExpandMode.WebService;

        RadTreeNodeData[] data = new RadTreeNodeData[1];
        data[0] = nodeData;

        return data;
    }    
}

